From: "Ævar Arnfjörð Bjarmason" <avarab@gmail.com>
To: git@vger.kernel.org
Cc: "Junio C Hamano" <gitster@pobox.com>,
"Ævar Arnfjörð Bjarmason" <avarab@gmail.com>
Subject: [PATCH/RFC 04/20] gettextize: git-stash die + gettext messages
Date: Tue, 14 Sep 2010 13:52:04 +0000 [thread overview]
Message-ID: <1284472340-7049-5-git-send-email-avarab@gmail.com> (raw)
In-Reply-To: <1284472340-7049-1-git-send-email-avarab@gmail.com>
Signed-off-by: Ævar Arnfjörð Bjarmason <avarab@gmail.com>
---
git-stash.sh | 36 ++++++++++++++++++------------------
1 files changed, 18 insertions(+), 18 deletions(-)
diff --git a/git-stash.sh b/git-stash.sh
index 78f392a..3a0f917 100755
--- a/git-stash.sh
+++ b/git-stash.sh
@@ -38,7 +38,7 @@ no_changes () {
clear_stash () {
if test $# != 0
then
- die "git stash clear with parameters is unimplemented"
+ die "$(gettext "git stash clear with parameters is unimplemented")"
fi
if current=$(git rev-parse --verify $ref_stash 2>/dev/null)
then
@@ -60,7 +60,7 @@ create_stash () {
then
head=$(git rev-list --oneline -n 1 HEAD --)
else
- die "You do not have the initial commit yet"
+ die "$(gettext "You do not have the initial commit yet")"
fi
if branch=$(git symbolic-ref -q HEAD)
@@ -75,7 +75,7 @@ create_stash () {
i_tree=$(git write-tree) &&
i_commit=$(printf 'index on %s\n' "$msg" |
git commit-tree $i_tree -p $b_commit) ||
- die "Cannot save the current index state"
+ die "$(gettext "Cannot save the current index state")"
if test -z "$patch_mode"
then
@@ -91,7 +91,7 @@ create_stash () {
git write-tree &&
rm -f "$TMP-index"
) ) ||
- die "Cannot save the current worktree state"
+ die "$(gettext "Cannot save the current worktree state")"
else
@@ -104,14 +104,14 @@ create_stash () {
# state of the working tree
w_tree=$(GIT_INDEX_FILE="$TMP-index" git write-tree) ||
- die "Cannot save the current worktree state"
+ die "$(gettext "Cannot save the current worktree state")"
git diff-tree -p HEAD $w_tree > "$TMP-patch" &&
test -s "$TMP-patch" ||
- die "No changes selected"
+ die "$(gettext "No changes selected")"
rm -f "$TMP-index" ||
- die "Cannot remove temporary index (can't happen)"
+ die "$(gettext "Cannot remove temporary index (can't happen)")"
fi
@@ -124,7 +124,7 @@ create_stash () {
fi
w_commit=$(printf '%s\n' "$stash_msg" |
git commit-tree $w_tree -p $b_commit -p $i_commit) ||
- die "Cannot record working tree state"
+ die "$(gettext "Cannot record working tree state")"
}
save_stash () {
@@ -171,7 +171,7 @@ save_stash () {
exit 0
fi
test -f "$GIT_DIR/logs/$ref_stash" ||
- clear_stash || die "Cannot initialize stash"
+ clear_stash || die "$(gettext "Cannot initialize stash")"
create_stash "$stash_msg"
@@ -179,7 +179,7 @@ save_stash () {
: >>"$GIT_DIR/logs/$ref_stash"
git update-ref -m "$stash_msg" $ref_stash $w_commit ||
- die "Cannot save the current status"
+ die "$(gettext "Cannot save the current status")"
say Saved working directory and index state "$stash_msg"
if test -z "$patch_mode"
@@ -192,7 +192,7 @@ save_stash () {
fi
else
git apply -R < "$TMP-patch" ||
- die "Cannot remove worktree changes"
+ die "$(gettext "Cannot remove worktree changes")"
if test -z "$keep_index"
then
@@ -294,7 +294,7 @@ parse_flags_and_rev()
case $# in
0)
- have_stash || die "No stash found."
+ have_stash || die "$(gettext "No stash found.")"
set -- ${ref_stash}@{0}
;;
1)
@@ -354,11 +354,11 @@ apply_stash () {
git update-index -q --refresh &&
git diff-files --quiet --ignore-submodules ||
- die 'Cannot apply to a dirty working tree, please stage your changes'
+ die "$(gettext "Cannot apply to a dirty working tree, please stage your changes")"
# current index state
c_tree=$(git write-tree) ||
- die 'Cannot apply a stash in the middle of a merge'
+ die "$(gettext "Cannot apply a stash in the middle of a merge")"
unstashed_index_tree=
if test -n "$INDEX_OPTION" && test "$b_tree" != "$i_tree" &&
@@ -366,9 +366,9 @@ apply_stash () {
then
git diff-tree --binary $s^2^..$s^2 | git apply --cached
test $? -ne 0 &&
- die 'Conflicts in index. Try without --index.'
+ die "$(gettext "Conflicts in index. Try without --index.")"
unstashed_index_tree=$(git write-tree) ||
- die 'Could not save index tree'
+ die "$(gettext "Could not save index tree")"
git reset
fi
@@ -394,7 +394,7 @@ apply_stash () {
git diff-index --cached --name-only --diff-filter=A $c_tree >"$a" &&
git read-tree --reset $c_tree &&
git update-index --add --stdin <"$a" ||
- die "Cannot unstage modified files"
+ die "$(gettext "Cannot unstage modified files")"
rm -f "$a"
fi
squelch=
@@ -432,7 +432,7 @@ drop_stash () {
}
apply_to_branch () {
- test -n "$1" || die 'No branch name specified'
+ test -n "$1" || die "$(gettext "No branch name specified")"
branch=$1
shift 1
--
1.7.3.rc1.234.g8dc15
next prev parent reply other threads:[~2010-09-14 13:53 UTC|newest]
Thread overview: 21+ messages / expand[flat|nested] mbox.gz Atom feed top
2010-09-14 13:52 [PATCH/RFC 00/20] gettextize: git-stash & git-bisect Ævar Arnfjörð Bjarmason
2010-09-14 13:52 ` [PATCH/RFC 01/20] gettextize: git-stash add git-sh-i18n Ævar Arnfjörð Bjarmason
2010-09-14 13:52 ` [PATCH/RFC 02/20] gettextize: git-stash echo + gettext message Ævar Arnfjörð Bjarmason
2010-09-14 13:52 ` [PATCH/RFC 03/20] gettextize: git-stash say + gettext messages Ævar Arnfjörð Bjarmason
2010-09-14 13:52 ` Ævar Arnfjörð Bjarmason [this message]
2010-09-14 13:52 ` [PATCH/RFC 05/20] gettextize: git-stash die + eval_gettext messages Ævar Arnfjörð Bjarmason
2010-09-14 13:52 ` [PATCH/RFC 06/20] gettextize: git-stash die + eval_gettext $* messages Ævar Arnfjörð Bjarmason
2010-09-14 13:52 ` [PATCH/RFC 07/20] gettextize: git-stash die + eval_gettext $1 messages Ævar Arnfjörð Bjarmason
2010-09-14 13:52 ` [PATCH/RFC 08/20] gettextize: git-stash "unknown option" message Ævar Arnfjörð Bjarmason
2010-09-14 13:52 ` [PATCH/RFC 09/20] gettextize: git-stash drop_stash say/die messages Ævar Arnfjörð Bjarmason
2010-09-14 13:52 ` [PATCH/RFC 10/20] gettextize: git-bisect add git-sh-i18n Ævar Arnfjörð Bjarmason
2010-09-14 13:52 ` [PATCH/RFC 11/20] gettextize: git-bisect gettext + echo message Ævar Arnfjörð Bjarmason
2010-09-14 13:52 ` [PATCH/RFC 12/20] gettextize: git-bisect echo + gettext messages Ævar Arnfjörð Bjarmason
2010-09-14 13:52 ` [PATCH/RFC 13/20] gettextize: git-bisect echo + eval_gettext message Ævar Arnfjörð Bjarmason
2010-09-14 13:52 ` [PATCH/RFC 14/20] gettextize: git-bisect die + gettext messages Ævar Arnfjörð Bjarmason
2010-09-14 13:52 ` [PATCH/RFC 15/20] gettextize: git-bisect die + eval_gettext messages Ævar Arnfjörð Bjarmason
2010-09-14 13:52 ` [PATCH/RFC 16/20] gettextize: git-bisect bisect_run + $@ messages Ævar Arnfjörð Bjarmason
2010-09-14 13:52 ` [PATCH/RFC 17/20] gettextize: git-bisect bisect_reset + $1 messages Ævar Arnfjörð Bjarmason
2010-09-14 13:52 ` [PATCH/RFC 18/20] gettextize: git-bisect bisect_replay " Ævar Arnfjörð Bjarmason
2010-09-14 13:52 ` [PATCH/RFC 19/20] gettextize: git-bisect [Y/n] messages Ævar Arnfjörð Bjarmason
2010-09-14 13:52 ` [PATCH/RFC 20/20] gettextize: git-bisect bisect_next_check "You need to" message Ævar Arnfjörð Bjarmason
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1284472340-7049-5-git-send-email-avarab@gmail.com \
--to=avarab@gmail.com \
--cc=git@vger.kernel.org \
--cc=gitster@pobox.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.